<template>
  <div>
    <section class="bg-dark text-light py-6">
      <div class="container py-0">
        <div class="row my-4 my-md-6" data-aos="fade-up">
          <div class="col-lg-9 col-xl-8">
            <h1 class="display-4">Get In Touch</h1>
            <p
              class="lead mb-0"
            >Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa.</p>
          </div>
        </div>
      </div>
    </section>
    <!-- Coordonnées -->
    <section>
      <div class="container py-6">
        <coords-contact></coords-contact>
      </div>
    </section>

    <!-- Map embed -->
    <section class="p-0">
      <map-contact></map-contact>
    </section>

    <!-- Form -->
    <section class="py-6">
      <div class="container">
        <div class="row justify-content-center">
          <div class="col-md-9 col-lg-8 col-xl-6 card shadow-lg p-6 mt-n13">
            <div class="text-center mb-4">
              <h2 class="h1">Nous contacter</h2>
              <p
                class="lead"
              >Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium.</p>
            </div>
            <form-contact :contactFields="contactFields" v-if="contactFields"></form-contact>
          </div>
        </div>
      </div>
    </section>
  </div>
</template>

<script>
import CoordsContact from "./coords.vue";
import FormContact from "./form.vue";
import MapContact from "./map.vue";
export default {
  components: {
    "form-contact": FormContact,
    "map-contact": MapContact,
    "coords-contact": CoordsContact,
  },
  data() {
    return {
      // champs du formulaire
      contactFields: [
        {
          id: "champ1",
          libelle: "Nom",
          value: "",
          type: "text",
          required: true,
          placeHolder: "",
          error: "",
        },
        {
          id: "champ2",
          libelle: "Prénom",
          value: "",
          type: "text",
          required: true,
          placeHolder: "",
          error: "",
        },
        {
          id: "champ3",
          libelle: "Email",
          value: "",
          type: "email",
          required: true,
          placeHolder: "name@example.com",
          error: "",
        },
        {
          id: "champ4",
          libelle: "Téléphone",
          value: "",
          type: "tel",
          required: false,
          placeHolder: "",
          error: "",
        },
        {
          id: "champ5",
          libelle: "Message",
          value: "",
          type: "textarea",
          required: false,
          placeHolder: "",
          error: "",
        },
        {
          id: "champ6",
          libelle: "Pièce jointe 1",
          value: "",
          type: "file",
          required: false,
          placeHolder: "",
          error: "",
        },
        {
          id: "champ7",
          libelle: "Pièce jointe 2",
          value: "",
          type: "file",
          required: false,
          placeHolder: "",
          error: "",
        },
      ],
    };
  },
};
</script>
